Create

Creates a new customer account.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Body Definitions

Name

Type

Description

Example

merchant

string

Merchant ID

"275dbe1d77f34aca968fb75a8dbb4c82"

merchant_user_id

string

Merchant User ID

"TEST"

session_id

string

Session ID, obtained from og_session_id cookie

"5bda04dc429d11e4bd78bc764e106cf4.463053.1418160308"

user_token_id

string

User Token ID

"bda1c6b0084811e6965ebc764e106cf4"

first_name

string

Customer first name

"John"

last_name

string

Customer last name

"Doe"

email

string

Customer email

"[email protected]"

phone_number

string

Customer phone number

"+15551231234"

phone_type

int

Customer phone type.

Options: 0, 1, 2, 3

0 = "Invalid"
1 = "Landline"
2 = "Mobile"
3 = "VoIP"

1

live

boolean

Account status: active = 'True'

True

created

string

Date of customer account creation

"2017-02-29 12:00:00"

last_updated

string

Date of most recent customer account update

"2017-02-29 12:00:00"

last_login

string

Date of most recent customer login

"2017-02-29 12:00:00"

extra_data

string

Raw JSON string that should be JSON.parse() as key/value store for any extra information

"{"some": "extra", "fields": "here"}"

locale

integer

Customer locale code

42

experiences

string

Raw JSON string that should be JSON.parse() as key/value store for experiences set to true or false.

"{"reorder": true, "subscription-management": false}"

price_code

string

Customer price code

"prom_customer"

Body Params
string
required

Merchant ID

string
required

Merchant User ID

string
required

Session ID, obtained from og_session_id cookie.

string
required

User Token ID

string
required

Customer first name

string
required

Customer last name

string
required

Customer email

string
required

Customer phone number

string
required

Customer phone type: "invalid", "landline", "mobile", or "voip"

boolean
required

Account status: active = True

string
required

Date of account creation

string
required

Date of last customer account update

string
required

Date of last customer account login

string

Raw JSON string that should be JSON.parse() as key/value store for any extra information.

int32
required

Customer locale code. Accepts a locale string (e.g. "en-US") or an integer ID for backwards compatibility.

string

Experience name and Boolean value as key/value store, formatted as raw JSON string, to be JSON.parse() on retrieval

string

Customer price code

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json